nxt

## Class Constants

- java.lang.Object
- - nxt.Constants

-     public final class Constants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALIAS_SYSTEM_BLOCK`
    `static java.lang.String` | `ALLOWED_CURRENCY_CODE_LETTERS`
    `static java.lang.String` | `ALPHABET`
    `static int` | `ARBITRARY_MESSAGES_BLOCK`
    `static int` | `ASSET_EXCHANGE_BLOCK`
    `static int` | `ASSET_INCREASE_BLOCK`
    `static int` | `BASE_TARGET_GAMMA`
    `static int` | `BATCH_COMMIT_SIZE`
    `static int` | `CHECKSUM_BLOCK_16`
    `static int` | `CHECKSUM_BLOCK_17`
    `static int` | `CHECKSUM_BLOCK_18`
    `static int` | `CHECKSUM_BLOCK_19`
    `static int` | `CHECKSUM_BLOCK_20`
    `static int` | `CHECKSUM_BLOCK_21`
    `static int` | `CHECKSUM_BLOCK_22`
    `static int` | `CHECKSUM_BLOCK_23`
    `static int` | `CHECKSUM_BLOCK_24`
    `static int` | `CHECKSUM_BLOCK_25`
    `static int` | `CHECKSUM_BLOCK_26`
    `static int` | `CHECKSUM_BLOCK_27`
    `static boolean` | `correctInvalidFees`
    `static java.lang.String` | `customLoginWarning`
    `static int` | `DIGITAL_GOODS_STORE_BLOCK`
    `static boolean` | `DISABLE_FULL_TEXT_SEARCH`
    `static boolean` | `DISABLE_METADATA_DETECTION`
    `static boolean` | `ENABLE_PRUNING`
    `static long` | `EPOCH_BEGINNING`
    `static int` | `FORGING_DELAY`
    `static int` | `FORGING_SPEEDUP`
    `static int` | `FRACTIONAL_BLOCK`
    `static int` | `FXT_BLOCK`
    `static int` | `GUARANTEED_BALANCE_CONFIRMATIONS`
    `static int` | `IGNIS_BLOCK`
    `static boolean` | `INCLUDE_EXPIRED_PRUNABLE`
    `static long` | `INITIAL_BASE_TARGET`
    `static boolean` | `isAutomatedTest`
    `static boolean` | `isLightClient`
    `static boolean` | `isOffline`
    `static boolean` | `isTestnet`
    `static int` | `LAST_CHECKSUM_BLOCK`
    `static int` | `LAST_KNOWN_BLOCK`
    `static int` | `LEASING_DELAY`
    `static int` | `MAX_ACCOUNT_DESCRIPTION_LENGTH`
    `static int` | `MAX_ACCOUNT_NAME_LENGTH`
    `static int` | `MAX_ACCOUNT_PROPERTY_NAME_LENGTH`
    `static int` | `MAX_ACCOUNT_PROPERTY_VALUE_LENGTH`
    `static int` | `MAX_ALIAS_LENGTH`
    `static int` | `MAX_ALIAS_URI_LENGTH`
    `static int` | `MAX_ARBITRARY_MESSAGE_LENGTH`
    `static int` | `MAX_ASSET_DESCRIPTION_LENGTH`
    `static int` | `MAX_ASSET_NAME_LENGTH`
    `static int` | `MAX_ASSET_PROPERTY_NAME_LENGTH`
    `static int` | `MAX_ASSET_PROPERTY_VALUE_LENGTH`
    `static long` | `MAX_ASSET_QUANTITY_QNT`
    `static int` | `MAX_ASSET_TRANSFER_COMMENT_LENGTH`
    `static long` | `MAX_BALANCE_NQT`
    `static long` | `MAX_BALANCE_NXT`
    `static long` | `MAX_BASE_TARGET`
    `static long` | `MAX_BASE_TARGET_2`
    `static int` | `MAX_BLOCKTIME_LIMIT`
    `static int` | `MAX_CURRENCY_CODE_LENGTH`
    `static int` | `MAX_CURRENCY_DESCRIPTION_LENGTH`
    `static int` | `MAX_CURRENCY_NAME_LENGTH`
    `static long` | `MAX_CURRENCY_TOTAL_SUPPLY`
    `static int` | `MAX_DGS_GOODS_LENGTH`
    `static int` | `MAX_DGS_LISTING_DESCRIPTION_LENGTH`
    `static int` | `MAX_DGS_LISTING_NAME_LENGTH`
    `static int` | `MAX_DGS_LISTING_QUANTITY`
    `static int` | `MAX_DGS_LISTING_TAGS_LENGTH`
    `static int` | `MAX_DIVIDEND_PAYMENT_ROLLBACK`
    `static int` | `MAX_ENCRYPTED_MESSAGE_LENGTH`
    `static int` | `MAX_HUB_ANNOUNCEMENT_URI_LENGTH`
    `static int` | `MAX_HUB_ANNOUNCEMENT_URIS`
    `static int` | `MAX_MINTING_RATIO`
    `static byte` | `MAX_NUMBER_OF_SHUFFLING_PARTICIPANTS`
    `static int` | `MAX_NUMBER_OF_TRANSACTIONS`
    `static int` | `MAX_PAYLOAD_LENGTH`
    `static int` | `MAX_PHASING_DURATION`
    `static byte` | `MAX_PHASING_LINKED_TRANSACTIONS`
    `static int` | `MAX_PHASING_REVEALED_SECRET_LENGTH`
    `static byte` | `MAX_PHASING_VOTE_TRANSACTIONS`
    `static byte` | `MAX_PHASING_WHITELIST_SIZE`
    `static int` | `MAX_POLL_DESCRIPTION_LENGTH`
    `static int` | `MAX_POLL_DURATION`
    `static int` | `MAX_POLL_NAME_LENGTH`
    `static int` | `MAX_POLL_OPTION_COUNT`
    `static int` | `MAX_POLL_OPTION_LENGTH`
    `static int` | `MAX_PRUNABLE_ENCRYPTED_MESSAGE_LENGTH`
    `static int` | `MAX_PRUNABLE_LIFETIME`
    `static int` | `MAX_PRUNABLE_MESSAGE_LENGTH`
    `static int` | `MAX_REFERENCED_TRANSACTION_TIMESPAN`
    `static int` | `MAX_ROLLBACK`
    `static short` | `MAX_SHUFFLING_REGISTRATION_PERIOD`
    `static int` | `MAX_SINGLETON_ASSET_DESCRIPTION_LENGTH`
    `static int` | `MAX_TAGGED_DATA_CHANNEL_LENGTH`
    `static int` | `MAX_TAGGED_DATA_DATA_LENGTH`
    `static int` | `MAX_TAGGED_DATA_DESCRIPTION_LENGTH`
    `static int` | `MAX_TAGGED_DATA_FILENAME_LENGTH`
    `static int` | `MAX_TAGGED_DATA_NAME_LENGTH`
    `static int` | `MAX_TAGGED_DATA_TAGS_LENGTH`
    `static int` | `MAX_TAGGED_DATA_TYPE_LENGTH`
    `static int` | `MAX_TIMEDRIFT`
    `static byte` | `MAX_VOTE_VALUE`
    `static int` | `MIN_ASSET_NAME_LENGTH`
    `static long` | `MIN_BASE_TARGET`
    `static int` | `MIN_BLOCKTIME_LIMIT`
    `static int` | `MIN_CURRENCY_CODE_LENGTH`
    `static int` | `MIN_CURRENCY_NAME_LENGTH`
    `static long` | `MIN_FORGING_BALANCE_NQT`
    `static long` | `MIN_HUB_EFFECTIVE_BALANCE`
    `static byte` | `MIN_NUMBER_OF_SHUFFLING_PARTICIPANTS`
    `static int[]` | `MIN_PROXY_VERSION`
    `static int` | `MIN_PRUNABLE_LIFETIME`
    `static int` | `MIN_TRANSACTION_SIZE`
    `static int[]` | `MIN_VERSION`
    `static byte` | `MIN_VOTE_VALUE`
    `static int` | `MONETARY_SYSTEM_BLOCK`
    `static byte` | `NO_VOTE_VALUE`
    `static int` | `NQT_BLOCK`
    `static long` | `ONE_NXT`
    `static int` | `PHASING_BLOCK`
    `static int` | `REFERENCED_TRANSACTION_FULL_HASH_BLOCK`
    `static int` | `REFERENCED_TRANSACTION_FULL_HASH_BLOCK_TIMESTAMP`
    `static int` | `SHUFFLING_BLOCK`
    `static long` | `SHUFFLING_DEPOSIT_NQT`
    `static short` | `SHUFFLING_PROCESSING_DEADLINE`
    `static int` | `TRANSPARENT_FORGING_BLOCK`
    `static int` | `TRANSPARENT_FORGING_BLOCK_2`
    `static int` | `TRANSPARENT_FORGING_BLOCK_3`
    `static int` | `TRANSPARENT_FORGING_BLOCK_4`
    `static int` | `TRANSPARENT_FORGING_BLOCK_5`
    `static int` | `TRANSPARENT_FORGING_BLOCK_6`
    `static int` | `TRANSPARENT_FORGING_BLOCK_7`
    `static int` | `TRANSPARENT_FORGING_BLOCK_8`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isTestnet

          public static final boolean isTestnet

    - #### isOffline

          public static final boolean isOffline

    - #### isLightClient

          public static final boolean isLightClient

    - #### isAutomatedTest

          public static final boolean isAutomatedTest

    - #### customLoginWarning

          public static final java.lang.String customLoginWarning

    - #### MAX_NUMBER_OF_TRANSACTIONS

          public static final int MAX_NUMBER_OF_TRANSACTIONS

      See Also:
        Constant Field Values

    - #### MIN_TRANSACTION_SIZE

          public static final int MIN_TRANSACTION_SIZE

      See Also:
        Constant Field Values

    - #### MAX_PAYLOAD_LENGTH

          public static final int MAX_PAYLOAD_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_BALANCE_NXT

          public static final long MAX_BALANCE_NXT

      See Also:
        Constant Field Values

    - #### ONE_NXT

          public static final long ONE_NXT

      See Also:
        Constant Field Values

    - #### MAX_BALANCE_NQT

          public static final long MAX_BALANCE_NQT

      See Also:
        Constant Field Values

    - #### INITIAL_BASE_TARGET

          public static final long INITIAL_BASE_TARGET

      See Also:
        Constant Field Values

    - #### MAX_BASE_TARGET

          public static final long MAX_BASE_TARGET

      See Also:
        Constant Field Values

    - #### MAX_BASE_TARGET_2

          public static final long MAX_BASE_TARGET_2

    - #### MIN_BASE_TARGET

          public static final long MIN_BASE_TARGET

      See Also:
        Constant Field Values

    - #### MIN_BLOCKTIME_LIMIT

          public static final int MIN_BLOCKTIME_LIMIT

      See Also:
        Constant Field Values

    - #### MAX_BLOCKTIME_LIMIT

          public static final int MAX_BLOCKTIME_LIMIT

      See Also:
        Constant Field Values

    - #### BASE_TARGET_GAMMA

          public static final int BASE_TARGET_GAMMA

      See Also:
        Constant Field Values

    - #### MAX_ROLLBACK

          public static final int MAX_ROLLBACK

    - #### GUARANTEED_BALANCE_CONFIRMATIONS

          public static final int GUARANTEED_BALANCE_CONFIRMATIONS

    - #### LEASING_DELAY

          public static final int LEASING_DELAY

    - #### MIN_FORGING_BALANCE_NQT

          public static final long MIN_FORGING_BALANCE_NQT

      See Also:
        Constant Field Values

    - #### MAX_TIMEDRIFT

          public static final int MAX_TIMEDRIFT

      See Also:
        Constant Field Values

    - #### FORGING_DELAY

          public static final int FORGING_DELAY

    - #### FORGING_SPEEDUP

          public static final int FORGING_SPEEDUP

    - #### BATCH_COMMIT_SIZE

          public static final int BATCH_COMMIT_SIZE

    - #### MAX_PHASING_VOTE_TRANSACTIONS

          public static final byte MAX_PHASING_VOTE_TRANSACTIONS

      See Also:
        Constant Field Values

    - #### MAX_PHASING_WHITELIST_SIZE

          public static final byte MAX_PHASING_WHITELIST_SIZE

      See Also:
        Constant Field Values

    - #### MAX_PHASING_LINKED_TRANSACTIONS

          public static final byte MAX_PHASING_LINKED_TRANSACTIONS

      See Also:
        Constant Field Values

    - #### MAX_PHASING_DURATION

          public static final int MAX_PHASING_DURATION

      See Also:
        Constant Field Values

    - #### MAX_PHASING_REVEALED_SECRET_LENGTH

          public static final int MAX_PHASING_REVEALED_SECRET_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ALIAS_URI_LENGTH

          public static final int MAX_ALIAS_URI_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ALIAS_LENGTH

          public static final int MAX_ALIAS_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ARBITRARY_MESSAGE_LENGTH

          public static final int MAX_ARBITRARY_MESSAGE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ENCRYPTED_MESSAGE_LENGTH

          public static final int MAX_ENCRYPTED_MESSAGE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_PRUNABLE_MESSAGE_LENGTH

          public static final int MAX_PRUNABLE_MESSAGE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_PRUNABLE_ENCRYPTED_MESSAGE_LENGTH

          public static final int MAX_PRUNABLE_ENCRYPTED_MESSAGE_LENGTH

      See Also:
        Constant Field Values

    - #### MIN_PRUNABLE_LIFETIME

          public static final int MIN_PRUNABLE_LIFETIME

    - #### MAX_PRUNABLE_LIFETIME

          public static final int MAX_PRUNABLE_LIFETIME

    - #### ENABLE_PRUNING

          public static final boolean ENABLE_PRUNING

    - #### INCLUDE_EXPIRED_PRUNABLE

          public static final boolean INCLUDE_EXPIRED_PRUNABLE

    - #### MAX_ACCOUNT_NAME_LENGTH

          public static final int MAX_ACCOUNT_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ACCOUNT_DESCRIPTION_LENGTH

          public static final int MAX_ACCOUNT_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ACCOUNT_PROPERTY_NAME_LENGTH

          public static final int MAX_ACCOUNT_PROPERTY_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ACCOUNT_PROPERTY_VALUE_LENGTH

          public static final int MAX_ACCOUNT_PROPERTY_VALUE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ASSET_PROPERTY_NAME_LENGTH

          public static final int MAX_ASSET_PROPERTY_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ASSET_PROPERTY_VALUE_LENGTH

          public static final int MAX_ASSET_PROPERTY_VALUE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ASSET_QUANTITY_QNT

          public static final long MAX_ASSET_QUANTITY_QNT

      See Also:
        Constant Field Values

    - #### MIN_ASSET_NAME_LENGTH

          public static final int MIN_ASSET_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ASSET_NAME_LENGTH

          public static final int MAX_ASSET_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ASSET_DESCRIPTION_LENGTH

          public static final int MAX_ASSET_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_SINGLETON_ASSET_DESCRIPTION_LENGTH

          public static final int MAX_SINGLETON_ASSET_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_ASSET_TRANSFER_COMMENT_LENGTH

          public static final int MAX_ASSET_TRANSFER_COMMENT_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_DIVIDEND_PAYMENT_ROLLBACK

          public static final int MAX_DIVIDEND_PAYMENT_ROLLBACK

      See Also:
        Constant Field Values

    - #### MAX_POLL_NAME_LENGTH

          public static final int MAX_POLL_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_POLL_DESCRIPTION_LENGTH

          public static final int MAX_POLL_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_POLL_OPTION_LENGTH

          public static final int MAX_POLL_OPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_POLL_OPTION_COUNT

          public static final int MAX_POLL_OPTION_COUNT

      See Also:
        Constant Field Values

    - #### MAX_POLL_DURATION

          public static final int MAX_POLL_DURATION

      See Also:
        Constant Field Values

    - #### MIN_VOTE_VALUE

          public static final byte MIN_VOTE_VALUE

      See Also:
        Constant Field Values

    - #### MAX_VOTE_VALUE

          public static final byte MAX_VOTE_VALUE

      See Also:
        Constant Field Values

    - #### NO_VOTE_VALUE

          public static final byte NO_VOTE_VALUE

      See Also:
        Constant Field Values

    - #### MAX_DGS_LISTING_QUANTITY

          public static final int MAX_DGS_LISTING_QUANTITY

      See Also:
        Constant Field Values

    - #### MAX_DGS_LISTING_NAME_LENGTH

          public static final int MAX_DGS_LISTING_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_DGS_LISTING_DESCRIPTION_LENGTH

          public static final int MAX_DGS_LISTING_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_DGS_LISTING_TAGS_LENGTH

          public static final int MAX_DGS_LISTING_TAGS_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_DGS_GOODS_LENGTH

          public static final int MAX_DGS_GOODS_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_HUB_ANNOUNCEMENT_URIS

          public static final int MAX_HUB_ANNOUNCEMENT_URIS

      See Also:
        Constant Field Values

    - #### MAX_HUB_ANNOUNCEMENT_URI_LENGTH

          public static final int MAX_HUB_ANNOUNCEMENT_URI_LENGTH

      See Also:
        Constant Field Values

    - #### MIN_HUB_EFFECTIVE_BALANCE

          public static final long MIN_HUB_EFFECTIVE_BALANCE

      See Also:
        Constant Field Values

    - #### MIN_CURRENCY_NAME_LENGTH

          public static final int MIN_CURRENCY_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_CURRENCY_NAME_LENGTH

          public static final int MAX_CURRENCY_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MIN_CURRENCY_CODE_LENGTH

          public static final int MIN_CURRENCY_CODE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_CURRENCY_CODE_LENGTH

          public static final int MAX_CURRENCY_CODE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_CURRENCY_DESCRIPTION_LENGTH

          public static final int MAX_CURRENCY_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_CURRENCY_TOTAL_SUPPLY

          public static final long MAX_CURRENCY_TOTAL_SUPPLY

      See Also:
        Constant Field Values

    - #### MAX_MINTING_RATIO

          public static final int MAX_MINTING_RATIO

      See Also:
        Constant Field Values

    - #### MIN_NUMBER_OF_SHUFFLING_PARTICIPANTS

          public static final byte MIN_NUMBER_OF_SHUFFLING_PARTICIPANTS

      See Also:
        Constant Field Values

    - #### MAX_NUMBER_OF_SHUFFLING_PARTICIPANTS

          public static final byte MAX_NUMBER_OF_SHUFFLING_PARTICIPANTS

      See Also:
        Constant Field Values

    - #### MAX_SHUFFLING_REGISTRATION_PERIOD

          public static final short MAX_SHUFFLING_REGISTRATION_PERIOD

      See Also:
        Constant Field Values

    - #### SHUFFLING_PROCESSING_DEADLINE

          public static final short SHUFFLING_PROCESSING_DEADLINE

    - #### MAX_TAGGED_DATA_NAME_LENGTH

          public static final int MAX_TAGGED_DATA_NAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TAGGED_DATA_DESCRIPTION_LENGTH

          public static final int MAX_TAGGED_DATA_DESCRIPTION_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TAGGED_DATA_TAGS_LENGTH

          public static final int MAX_TAGGED_DATA_TAGS_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TAGGED_DATA_TYPE_LENGTH

          public static final int MAX_TAGGED_DATA_TYPE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TAGGED_DATA_CHANNEL_LENGTH

          public static final int MAX_TAGGED_DATA_CHANNEL_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TAGGED_DATA_FILENAME_LENGTH

          public static final int MAX_TAGGED_DATA_FILENAME_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_TAGGED_DATA_DATA_LENGTH

          public static final int MAX_TAGGED_DATA_DATA_LENGTH

      See Also:
        Constant Field Values

    - #### ALIAS_SYSTEM_BLOCK

          public static final int ALIAS_SYSTEM_BLOCK

      See Also:
        Constant Field Values

    - #### TRANSPARENT_FORGING_BLOCK

          public static final int TRANSPARENT_FORGING_BLOCK

    - #### ARBITRARY_MESSAGES_BLOCK

          public static final int ARBITRARY_MESSAGES_BLOCK

      See Also:
        Constant Field Values

    - #### TRANSPARENT_FORGING_BLOCK_2

          public static final int TRANSPARENT_FORGING_BLOCK_2

      See Also:
        Constant Field Values

    - #### TRANSPARENT_FORGING_BLOCK_3

          public static final int TRANSPARENT_FORGING_BLOCK_3

    - #### TRANSPARENT_FORGING_BLOCK_4

          public static final int TRANSPARENT_FORGING_BLOCK_4

      See Also:
        Constant Field Values

    - #### TRANSPARENT_FORGING_BLOCK_5

          public static final int TRANSPARENT_FORGING_BLOCK_5

      See Also:
        Constant Field Values

    - #### TRANSPARENT_FORGING_BLOCK_6

          public static final int TRANSPARENT_FORGING_BLOCK_6

    - #### TRANSPARENT_FORGING_BLOCK_7

          public static final int TRANSPARENT_FORGING_BLOCK_7

      See Also:
        Constant Field Values

    - #### TRANSPARENT_FORGING_BLOCK_8

          public static final int TRANSPARENT_FORGING_BLOCK_8

    - #### NQT_BLOCK

          public static final int NQT_BLOCK

    - #### FRACTIONAL_BLOCK

          public static final int FRACTIONAL_BLOCK

    - #### ASSET_EXCHANGE_BLOCK

          public static final int ASSET_EXCHANGE_BLOCK

    - #### REFERENCED_TRANSACTION_FULL_HASH_BLOCK

          public static final int REFERENCED_TRANSACTION_FULL_HASH_BLOCK

    - #### REFERENCED_TRANSACTION_FULL_HASH_BLOCK_TIMESTAMP

          public static final int REFERENCED_TRANSACTION_FULL_HASH_BLOCK_TIMESTAMP

    - #### MAX_REFERENCED_TRANSACTION_TIMESPAN

          public static final int MAX_REFERENCED_TRANSACTION_TIMESPAN

      See Also:
        Constant Field Values

    - #### DIGITAL_GOODS_STORE_BLOCK

          public static final int DIGITAL_GOODS_STORE_BLOCK

    - #### MONETARY_SYSTEM_BLOCK

          public static final int MONETARY_SYSTEM_BLOCK

    - #### PHASING_BLOCK

          public static final int PHASING_BLOCK

    - #### CHECKSUM_BLOCK_16

          public static final int CHECKSUM_BLOCK_16

    - #### SHUFFLING_BLOCK

          public static final int SHUFFLING_BLOCK

    - #### CHECKSUM_BLOCK_17

          public static final int CHECKSUM_BLOCK_17

    - #### CHECKSUM_BLOCK_18

          public static final int CHECKSUM_BLOCK_18

    - #### CHECKSUM_BLOCK_19

          public static final int CHECKSUM_BLOCK_19

    - #### FXT_BLOCK

          public static final int FXT_BLOCK

    - #### CHECKSUM_BLOCK_20

          public static final int CHECKSUM_BLOCK_20

    - #### CHECKSUM_BLOCK_21

          public static final int CHECKSUM_BLOCK_21

    - #### CHECKSUM_BLOCK_22

          public static final int CHECKSUM_BLOCK_22

    - #### CHECKSUM_BLOCK_23

          public static final int CHECKSUM_BLOCK_23

    - #### IGNIS_BLOCK

          public static final int IGNIS_BLOCK

    - #### CHECKSUM_BLOCK_24

          public static final int CHECKSUM_BLOCK_24

    - #### CHECKSUM_BLOCK_25

          public static final int CHECKSUM_BLOCK_25

    - #### CHECKSUM_BLOCK_26

          public static final int CHECKSUM_BLOCK_26

    - #### ASSET_INCREASE_BLOCK

          public static final int ASSET_INCREASE_BLOCK

    - #### CHECKSUM_BLOCK_27

          public static final int CHECKSUM_BLOCK_27

    - #### LAST_CHECKSUM_BLOCK

          public static final int LAST_CHECKSUM_BLOCK

    - #### LAST_KNOWN_BLOCK

          public static final int LAST_KNOWN_BLOCK

    - #### MIN_VERSION

          public static final int[] MIN_VERSION

    - #### MIN_PROXY_VERSION

          public static final int[] MIN_PROXY_VERSION

    - #### SHUFFLING_DEPOSIT_NQT

          public static final long SHUFFLING_DEPOSIT_NQT

    - #### correctInvalidFees

          public static final boolean correctInvalidFees

    - #### EPOCH_BEGINNING

          public static final long EPOCH_BEGINNING

    - #### ALPHABET

          public static final java.lang.String ALPHABET

      See Also:
        Constant Field Values

    - #### ALLOWED_CURRENCY_CODE_LETTERS

          public static final java.lang.String ALLOWED_CURRENCY_CODE_LETTERS

      See Also:
        Constant Field Values

    - #### DISABLE_FULL_TEXT_SEARCH

          public static final boolean DISABLE_FULL_TEXT_SEARCH

    - #### DISABLE_METADATA_DETECTION

          public static final boolean DISABLE_METADATA_DETECTION